<?xml version="1.0" encoding="UTF-8"?>
<Configuration status="WARN">
    <properties>
        <property name="package_name_war">py.com.utopia.buscamews</property>
        <property name="name_war">BuscameWS</property>
        <property name="log_path">/tmp/</property>
        <property name="pattern">%-5p [%d] [%t] (%M [%C:%L]) - %m%n</property>
    </properties>
    <Appenders>
        <Console name="CONSOLE" target="SYSTEM_OUT">
            <PatternLayout pattern="${pattern}"/>
        </Console>
        <RollingFile name="ROLLING_FILE_WAR" fileName="${log_path}/${name_war}.log" filePattern="${log_path}/${name_war}-%d{yyyy-MM-dd}-%i.log">
            <PatternLayout>
                <pattern>${pattern}</pattern>
            </PatternLayout>
            <Policies>
                <TimeBasedTriggeringPolicy/><!-- Rotated everyday -->
            </Policies>
        </RollingFile>	
    </Appenders>
    <Loggers>
        <Root level="info">
            <AppenderRef ref="CONSOLE"/>
        </Root>
        <Logger name="${package_name_war}" level="trace" additivity="false">
            <AppenderRef ref="ROLLING_FILE_WAR"/>
            <Appender-ref ref="CONSOLE" level="debug"/>
        </Logger>
    </Loggers>
</Configuration>
